From 1bb8a8aa29845378903f3c690e17c0867c820da2 Mon Sep 17 00:00:00 2001
From: Gerd Hoffmann <kraxel@redhat.com>
Date: Mon, 16 Mar 2020 13:24:12 +0100
Subject: [PATCH] gcc10 build fix

by Adrian Reber <adrian@lisas.de>
---
 fbi.c       | 1 -
 filter.c    | 2 --
 idaconfig.h | 2 +-
 readers.c   | 2 ++
 viewer.c    | 1 -
 5 files changed, 3 insertions(+), 5 deletions(-)

diff --git a/fbi.c b/fbi.c
index 8882302..8fd9d31 100644
--- a/fbi.c
+++ b/fbi.c
@@ -86,7 +86,6 @@ static int img_mem, max_mem_mb;
 
 /* graphics interface */
 gfxstate                   *gfx;
-int                        debug;
 
 /* framebuffer */
 char                       *fbdev = NULL;
diff --git a/filter.c b/filter.c
index a75f73a..e20ebc2 100644
--- a/filter.c
+++ b/filter.c
@@ -6,8 +6,6 @@
 #include "readers.h"
 #include "filter.h"
 
-int debug = 0;
-
 /* ----------------------------------------------------------------------- */
 
 static void
diff --git a/idaconfig.h b/idaconfig.h
index 8d616ef..d09a178 100644
--- a/idaconfig.h
+++ b/idaconfig.h
@@ -17,7 +17,7 @@
 
 /* -------------------------------------------------------------------------- */
 
-char *ida_lists;
+extern char *ida_lists;
 
 void ida_init_config(void);
 void ida_read_config(void);
diff --git a/readers.c b/readers.c
index e94bbcb..1516ed9 100644
--- a/readers.c
+++ b/readers.c
@@ -7,6 +7,8 @@
 #include "readers.h"
 #include "byteorder.h"
 
+int debug=0;
+
 /* ----------------------------------------------------------------------- */
 
 void load_bits_lsb(unsigned char *dst, unsigned char *src, int width,
diff --git a/viewer.c b/viewer.c
index ab4b31c..02ba807 100644
--- a/viewer.c
+++ b/viewer.c
@@ -38,7 +38,6 @@
 
 #define PROCESS_LINES    16
 
-int debug;
 Cursor ptrs[POINTER_COUNT];
 
 /* ----------------------------------------------------------------------- */
-- 
GitLab

